Bug 165425 - old-fashion(FSSTND-1.x?) hierarchy for games
old-fashion(FSSTND-1.x?) hierarchy for games
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
:
Depends On:
Blocks: 187224
  Show dependency treegraph
 
Reported: 2005-08-09 04:03 EDT by SEKINE Tatsuo
Modified: 2015-03-04 20:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 01:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SEKINE Tatsuo 2005-08-09 04:03:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
According to FHS specification (http://www.pathname.com/fhs/pub/fhs-2.3.html#VARGAMESVARIABLEGAMEDATA),
/var/games is better place than /var/lib/games for state information of games.

If it is recommended to provide backward compatibility, /var/lib/games should be symbolic link because of the data separation for backups.

For game packagers, this problem is critical. Because we have to make degrading patch to fit FC4, otherwise we would meet the conflict of /var/games directory.

Version-Release number of selected component (if applicable):
filesystem-2.3.4-1

How reproducible:
Always

Steps to Reproduce:
rpm -ql filesystem | grep games


Actual Results:  /usr/games
/usr/lib/games
/usr/local/games
/usr/share/games
/var/lib/games


Expected Results:  /usr/games
/usr/lib/games
/usr/local/games
/usr/share/games
/var/games


Additional info:
Comment 1 Hans de Goede 2006-03-31 02:50:26 EST
Hi, I'm an FE-packager packaging amongst other things quite a few games, when
packaging one of my own games I noticed that there was no /var/games but only
/var/lib/games, so I've made my own packages uses /var/lib/games and filed a bug
against a package I had recently reviewed of which I knew it used /var/games see
bug 187224 . The owner of this package pointed out that /var/games is ok and
that the filesystem (and gnome-games) packages are wrong (by the FHS).

Strange enough, the filesystem changelog contains:
* Tue May 16 2000 Preston Brown <pbrown@redhat.com>
- /etc/opt, /usr/share/{info,man/man*,misc,doc} (FHS 2.1)
- added /var/games.  Data should move from /var/lib/games to there (FHS 2.1)
- bump version up to 2.0 already!

After this there are no /var/games related changelog messages!
Comment 2 Hans de Goede 2006-06-07 04:58:00 EDT
Ping?

Can we please get some resolution on this, not nescesarrily a fix but atleats a
decission what is the prefered location for new packages? Currently some FE
contributers are putting shared score files under /var/games and other
/var/lib/games. I assume in the end we will want only one of those 2, so some
packages will need to be migrated including scriptlets to keep the exisiting
hiscores intact. The longer this situation exists the more packages will need
fixing.

So please tell us what its going to be /var/games (as the FHS and the filesystem
ChangeLog say?) or /var/lib/games (which is actually in filesystem and used by
core packages).
Comment 3 Phil Knirsch 2006-06-28 01:17:18 EDT
I agree with the proposed fix. FHS clearly states it should be /var/games and
providing a backward compatible symlink for /var/lib/games.

Will fix in next update of filesystem.

Read ya, Phil
Comment 4 Hans de Goede 2006-06-28 02:53:48 EDT
Phil,

What about the files currently in /var/lib/games, I assume you're going to
provide a pre script which moves all files in /var/lib/games to /var/games if
/var/lib/games is not a symlink or something similar.

If there are still files left in /var/lib/games then rpm can't replace
/var/lib/games with a symlink right?

Also if the filesystem package does the migration then all packages who still
have hiscores in /var/lib/games need todo is

Requires: filesystem >= fixedversion

Otherwise all packages with hiscores currently in /var/lib/games need to provide
there own migation scripts.
Comment 5 Phil Knirsch 2006-06-28 06:27:39 EDT
Urgs, didn't think about that.

Problem with that is that it's really very ugly to do so especially as
filesystem has to be one of the first packages in the system and can't require
anything like /bin/sh to be present.

I'm changing this now so that filesystem provides at least both directories now
so games can then use the official FHS compliant place to store their files or
the old one, whichever they prefere.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.